<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="page_introducing_psoc_6" kind="group">
    <compoundname>page_introducing_psoc_6</compoundname>
    <title>Introducing PSoC 6</title>
    <detaileddescription>
<para>PSoC 6 is Cypress’ new PSoC MCU architecture, purpose-built for the IoT. It bridges the gap between expensive, power hungry application processors and low performance MCUs. The ultra-low-power PSoC 6 MCU architecture offers the processing performance needed by IoT devices, eliminating the tradeoffs between power and performance.</para><para>PSoC 6 MCU is a dual core architecture, with both microcontrollers on a single chip. It has an ARM® Cortex®-M4 for high-performance tasks, and an ARM® Cortex®-M0+ for low-power tasks. Security is built-in, protecting your IoT system.</para><para>The PSoC 6 MCU architecture enables engineers to create innovative, next-generation IoT devices that take advantage of the merits of each core. Using the highly-customizable Peripheral Driver Library (PDL), you write code for either processor using a single API. In addition, the two cores share a common memory space. Inter-processor communication is simplified, both by this design, and the PDL IPC driver.</para><para>The PDL provides fully-integrated support for BLE, an RTOS, a trusted execution environment, capacitive sensing, and a great deal more. In addition to the integrated peripherals, developers can leverage the unique PSoC fabric with its easy-to-use, custom, software-defined peripherals.</para><para>The combination of highly-capable MCUs with an extremely flexible driver API, extensive integrated middleware, and custom software-based peripherals, enables significant opportunity for developers to create better solutions.</para><para>Extended battery life:<itemizedlist>
<listitem><para>Built on an ultra-low-power 40-nm process technology</para></listitem><listitem><para>Active power consumption as low as 22-uA/MHz for the Cortex-M4 core</para></listitem><listitem><para>Dual-core ARM Cortex-M architecture, optimizing for power and performance</para></listitem><listitem><para>Integrated high efficiency Buck converter and LDO regulator</para></listitem><listitem><para>Dynamic voltage and frequency scaling (DVFS with PLL/FLL)</para></listitem></itemizedlist>
</para><para>Enabling innovation:<itemizedlist>
<listitem><para>Best-in-class flexibility, with multiple connectivity options, such as BLE with 2 Mbps throughput and USB</para></listitem><listitem><para>Fully-customizable hardware peripherals with a driver library provided as source code</para></listitem><listitem><para>Software-defined peripherals to create custom analog and digital circuits within the PSoC MCU</para></listitem><listitem><para>Industry leading capacitive-sensing, CapSense™</para></listitem><listitem><para>XIP Quad-SPI supports on-the-fly encryption</para></listitem></itemizedlist>
</para><para>Protection against cyber threats:<itemizedlist>
<listitem><para>Integrated, hardware-based Trusted Execution Environment (TEE) with secure data storage</para></listitem><listitem><para>Dedicated security coprocessor, which eliminates the need for external SoCs or memories</para></listitem><listitem><para>Secure Boot capability</para></listitem><listitem><para>Advanced cryptographic accelerator block supports ECC, AES128, SHA1/2/3 </para></listitem></itemizedlist>
</para>    </detaileddescription>
  </compounddef>
</doxygen>